services:
    oro_catalog.fallback.provider.parent_category:
        class: Oro\Bundle\CatalogBundle\Fallback\Provider\ParentCategoryFallbackProvider
        parent: oro_entity.fallback.provider.abstract_provider
        tags:
            - { name: oro_entity.fallback_provider, id: parentCategory }

    oro_catalog.fallback.provider.category_provider:
        class: Oro\Bundle\CatalogBundle\Fallback\Provider\CategoryFallbackProvider
        parent: oro_entity.fallback.provider.abstract_provider
        arguments:
            - "@oro_entity.doctrine_helper"
            - "@oro_entity.fallback.provider.system_config_provider"
        tags:
            - { name: oro_entity.fallback_provider, id: category }
